#include "execute.h"
#include "d2q9.h"

int main(int argc, char* argv[])
{
	execute<D2Q9_SRT<D2Q9_M1>>(NSE);
	execute<D2Q9_MRT1<D2Q9_M1>>(NSE);
	execute<D2Q9_MRT2<D2Q9_M1>>(NSE);
	execute<D2Q9_CLBM1<D2Q9_M1>>(NSE);
	execute<D2Q9_CLBM2<D2Q9_M1>>(NSE);
	execute<D2Q9_CuLBM1<D2Q9_M1>>(NSE);
	execute<D2Q9_CuLBM2<D2Q9_M1>>(NSE);
}
